Subject: bug#59005: 29.0.50; Package transient installed as dependency despite it being built-in

From: Michael Heerdegen <[email-masked]>
Date: Mon, 13 Feb 2023 03:24:46 +0100

Eric Abrahamsen <[email-masked]> writes:

> I have seen this, also with transient, and more recently with "compat",
> and found it very annoying. I think I solved it by explicitly
> uninstalling transient and everything that depended on it, and then
> re-installing -- I haven't seen the problem since. Come to think of it
> compat was also a Magit dependency, so I wonder if something about
> Magit's package definition changed? Anyway I haven't seen this for a
> while, so I forgot about it.

I was not so lucky.  Another package where the issue frequently appears
seems to be helm-core.  I guess a change in one package cannot explain
everything.

Maybe something in the Gnu Elpa archive?

Michael.